Subject: [PATCH bpf v3 0/2] potential sockmap memleak and proc stats fix

From: John Fastabend <[email-masked]>
Date: Tue, 6 Jul 2021 09:31:48 -0700

While investigating a memleak in sockmap I found these two issues. Patch
1 found doing code review, I wasn't able to get KASAN to trigger a
memleak here, but should be necessary. Patch 2 fixes proc stats so when
we use sockstats for debugging we get correct values.

The fix for observered memleak will come after these, but requires some
more discussion and potentially patch revert so I'll try to get the set
here going now.

John Fastabend (2):
  bpf, sockmap: fix potential memory leak on unlikely error case
  bpf, sockmap: sk_prot needs inuse_idx set for proc stats

 net/core/skmsg.c    | 10 ++++++----
 net/core/sock_map.c | 11 ++++++++++-
 2 files changed, 16 insertions(+), 5 deletions(-)

-- 
2.25.1